Skip to main content
GET
/
custom-attributes
/
client-contact
/
definitions
/
{id}
Get a contact custom attribute definition by ID
curl --request GET \
  --url https://api.gospott.com/custom-attributes/client-contact/definitions/{id} \
  --header 'x-api-key: <api-key>'
{
  "definition": {
    "viewType": "customText"
  },
  "id": "<string>",
  "label": "<string>",
  "viewType": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "modifiedAt": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

id
string
required

Response

definition
object
required
id
string
required
label
string
required
viewType
string
required
createdAt
string<date-time>
required
modifiedAt
string<date-time>
required